> For the complete documentation index, see [llms.txt](https://docs.settlers-united.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.settlers-united.com/s4-lua-api-de/tutorials/code-snippets/neue-minute-angebrochen.md).

# Neue Minute angebrochen

Die folgende Methode gibt einmalig 1 zurück, sobald eine neue Minute angebrochen ist.

```lua
function newMinute()
	if Vars.Save8 ~= Game.Time() then
		Vars.Save8 = Game.Time()
		return 1
	else
		return 0
	end
end
```

Damit ist es möglich verschiedene Dinge jede Minute passieren zu lassen. Ihr könnt z.B. folgendes implementieren.\
\
Innerhalb einer Methode die regelmäßig (Ticks) aufgerufen wird.

```lua
function gameloop()
    if newMinute() == 1 then
	doEveryMinuteTask() 
    end
end
function new_game()
	request_event(gameloop, Events.FIVE_TICKS)
end
function register_functions()
	reg_func(gameloop)
end
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.settlers-united.com/s4-lua-api-de/tutorials/code-snippets/neue-minute-angebrochen.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
